> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# workflowinstancestatus

> MDO provider for the WorkflowInstanceStatus enum

## "workflowinstancestatus" MDO List

MDO provider for the WorkflowInstanceStatus enum

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WorkflowInstanceStatusProvider">WorkflowInstanceStatusProvider</see> class.
The name of the MDO list is 'workflowinstancestatus'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/workflowinstancestatus
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("workflowinstancestatus", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                  | StyleHint | ExtraInfo |
| -- | --------------------- | --------- | --------- |
| 2  | Active                |           |           |
| 3  | Finished              |           |           |
| 4  | Finished with success |           |           |
| 5  | Dropout               |           |           |
| 6  | Cancelled             |           |           |

## Related MDO Lists

* "workflowinstancestatusheadings"
* "workflowinstancestatusheadingswithallitem"
* "workflowinstancestatusheadingswithallitemwithnoselection"
* "workflowinstancestatusheadingswithnoselection"
* "workflowinstancestatuswithallitem"
* "workflowinstancestatuswithallitemwithnoselection"
* "workflowinstancestatuswithnoselection"


## Related topics

- [Enum WorkflowInstanceStatus](/en/automation/crmscript/reference/CRMScript.NetServer.WorkflowInstanceStatus.md)
- [Enum values for WorkflowInstanceStatus](/en/database/tables/enums/workflowinstancestatus.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [workflow_instance table](/en/database/tables/workflow-instance.md)
- [SubPersonContactDynamicSelectionSingleCriteriaGroup](/en/api/archive-providers/reference/subpersoncontactdynamicselectionsinglecriteriagroup.md)
- [ContactPersonSelectionV2](/en/api/archive-providers/reference/contactpersonselectionv2.md)
